#!/bin/bash


cat << EOF
<?xml version="1.0"?>
<fontfile>
EOF


for i in *.inf ; do

	BASE=`basename $i .inf`
	grep ^Weight $BASE.afm >> $i
	cat $i | sed 's/ /=/' | tr -d '\r' | tr '(' '"' | tr ')' '"' > A
	. A

cat << EOF
  <font format="type1" metrics="/usr/share/fonts/afms/baltic/$BASE.afm" 
      glyphs="/usr/share/fonts/type1/baltic/$BASE.pfb" 
      name="$FontName" fullname="$FullName" familyname="$FamilyName"
      weight="$Weight" version="1.0"
  />
EOF

done

cat << EOF
</fontfile>
EOF

