%define ver 1.0
%define rel 4mdk

Summary: Type1 fonts in iso-8859-13 encoding
Name: fonts-type1-baltic
Version: %{ver}
Release: %{rel}
Group: System/Fonts/Type1
Source0: baltic-type1-fonts.tar.bz2
Source1: create_font_from_inf.sh
Source2: create_ghostscript_fontmap_from_inf.sh
#URL: 
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
This package contains Type1 fonts in iso-8859-13 encoding (used in Lithuania
and Latvia).

%prep
%setup -q -c
%build
sh %{SOURCE1} > %{name}.font
sh %{SOURCE2} %{name} > Fontmap.%{name}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/type1/baltic
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/afms/baltic
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ghostscript/fonts

cp -a *.pfb $RPM_BUILD_ROOT%{_datadir}/fonts/type1/baltic
cp -a *.afm $RPM_BUILD_ROOT%{_datadir}/fonts/afms/baltic

cp fonts.* $RPM_BUILD_ROOT%{_datadir}/fonts/type1/baltic

cp %{name}.font $RPM_BUILD_ROOT%{_datadir}/fonts/
cp Fontmap.%{name} $RPM_BUILD_ROOT%{_datadir}/ghostscript/fonts/

ln -s /etc/X11/encodings.dir \
	$RPM_BUILD_ROOT%{_datadir}/fonts/type1/baltic/encodings.dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
MRK="%-%{name}"
FONTMAP=`echo %{_datadir}/ghostscript/[1-9]*/Fontmap | cut -d' ' -f1`

if ! grep $MRK $FONTMAP >& /dev/null ; then
	cat %{_datadir}/ghostscript/fonts/Fontmap.%{name} >> $FONTMAP
fi

if [ -x /usr/sbin/chkfontpath ]; then
   /usr/sbin/chkfontpath -q -a %{_datadir}/fonts/type1/baltic
else
   echo "you don't have a chkfontpath utility; you will need to manually"
   echo "install the fonts into your TTF enabled font server"
fi

%postun
MRK="%-%{name}"
FONTMAP=`echo %{_datadir}/ghostscript/[1-9]*/Fontmap | cut -d' ' -f1`

# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x /usr/sbin/chkfontpath ] && \
   /usr/sbin/chkfontpath -q -r %{_datadir}/fonts/type1/baltic

   if grep $MRK $FONTMAP >& /dev/null ; then
    grep -v $MRK $FONTMAP > %{_datadir}/ghostscript/fonts/Fontmap.%{name}
    mv %{_datadir}/ghostscript/fonts/Fontmap.%{name} $FONTMAP
   fi
fi




%files
%defattr(-,root,root)
#%doc docs/README
%{_datadir}/fonts/type1/baltic
%{_datadir}/fonts/afms/baltic
%{_datadir}/fonts/%{name}.font
%{_datadir}/ghostscript/fonts/Fontmap.%{name}

%changelog
* Thu Oct 05 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-4mdk
- the ghostscript directory can be of adifferent version...

* Tue Aug 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- make post and postun scripts do something useful

* Tue Aug 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-1mdk
- first version for Mandrake


